Search Activation Keys

[POST] /caui/v1/activation-keys/manage

Use this API to search the activation keys. You can use the query parameter in the API request to fetch the required activation keys.

Pagination - A maximum of 10 activation key records are displayed by default. To specify the number of results to be generated by the API, use the limit parameter.

Permissions required - Managers with full scope. Other users must have these permissions: Access Permission — API Access, CA Activation Key Permission, and View Activation Key.

Input Parameters

Parameter Mandatory/Optional Data type Description
limit Optional Integer Use this parameter to specify the maximum number of activation key records to be displayed in the API response. 

Default value: 10 activation key records.
sortOrder Optional String Use this parameter to define the sorting order for the activation key records in the API response.

Valid values
: ASC, DSC
orderBy Optional String Use this parameter to define the sorting criteria for the activation key records in the API response.

Valid values: TITLE, ACTIVATION_KEY, AGENTS, CREATED_ON, STATUS, EXPIRES
query Optional String Use this parameter to define the search criteria for the activation key records to be displayed in the API response.

Valid values: You can use the following values in conjection with the query parameter to search the required activation keys.
  • activationKey.countPurchased:<count-purchsed>
  • activationKey.isDisabled:{true|false}
  • activationKey.id:<id>
  • activationKey:<activation-key-guid>
For example, to search all the disabled activation keys in the user account, use the following search query.

"query": "activationKey.isDisabled: true"

Sample – Search activation keysSample – Search activation keys

API Request

 
      curl --location --request POST '<qualys_base_url> /caui/v1/activation-keys/manage’
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <JWT Token>' \
    

 

API Request Body

 --data ''
      {
         "limit": 200,  
         "sortOrder": "ASC",
         "orderBy": "TITLE",
         "query": "activationKey.isDisabled:false"
         }
         

API Response

 
      {
         "pageSize": 5,
         "totalCount": 745,
         "noOfPages": 149,
         "content": [
         {
            "id": 12345678,
            "title": "activation_key_title_1",
            "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b123",
            "countUsed": 0,
            "countPurchased": 0,
            "datePurchased": "2025-01-09T18:01:02",
            "firstName": "John",
            "lastName": "Doe",
            "userName": "<username01>",
            "keyType": "Unlimited",
            "isDisabled": false,
            "expireDate": null,
            "licenses": [
               "PM",
               "VM",
               "FIM",
               "PA",
               "EDR"
            ]
        },
        {
          "id": 23456789,
          "title": "activation_key_title_2",
          "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b122",
          "countUsed": 0,
          "countPurchased": 0,
          "datePurchased": "2025-01-29T12:26:26",
          "firstName": "John",
          "lastName": "Doe",
          "userName": "<username01>",
          "keyType": "Unlimited",
          "isDisabled": false,
          "expireDate": null,
          "licenses": []
        },
        {
          "id": 34567891,
          "title": "activation_key_title3",
          "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b124",
          "countUsed": 0,
          "countPurchased": 0,
          "datePurchased": "2025-01-29T09:41:04",
          "firstName": "John",
          "lastName": "Doe",
          "userName": "<username01>",
          "keyType": "Unlimited",
          "isDisabled": false,
          "expireDate": null,
          "licenses": [
            "VM",
            "FIM",
            "EDR"
          ]
        },
        {
          "id": 456789123,
          "title": "activation_key_title4",
          "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b124",
          "countUsed": 0,
          "countPurchased": 0,
          "datePurchased": "2025-01-29T09:46:07",
          "firstName": "John",
          "lastName": "Doe",
          "userName": "<username01>",
          "keyType": "Unlimited",
          "isDisabled": false,
          "expireDate": null,
          "licenses": []
        },
        {
          "id": 567891234,
          "title": "activation_key_title5",
          "activationKey": "123456-1a2b-1a2b-1a2b-12ab12b2b124",
          "countUsed": 0,
          "countPurchased": 0,
          "datePurchased": "2024-08-14T18:08:36",
          "firstName": "John",
          "lastName": "Doe",
          "userName": "username01",
          "keyType": "Unlimited",
          "isDisabled": false,
          "expireDate": null,
          "licenses": []
        }
      ]
    }